{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Peeps Feeds !!</title>
<style>
    .add-post{
        color : white;
    }
    .trans {
        background-color:rgba(0, 0, 0, 0.25);
        border-radius : 10px;
    }
    .container{
        margin-top: 5%;
        vertical-align: center;
        text-align: center;
        padding:10px;
    }
    .title{
        text-align: center;
    }

</style>
{% endblock meta %}

{% block content %}
<h2 class = "title">~ Peeps Feeds ~</h2>
<div class="container trans">
    
    {% if posts %}
        {% for post in posts %}
            <div class = card>
                <h3>{{post.username}} says :</h3>
                <p>{{post.message}}</p>
                <br>
            </div>
        {% endfor %}
    {% else %}
    <p>No one post yet</p>
    {% endif %}
    <br>
    {% if user.is_authenticated %}
        <p>Post your own thoughts ! <a href = "/add-post/" class = "add-post">Add Post</a></p>
    {% endif %}
</div>
  
{% endblock content %}